package com.sifang.modules.supply.warehouse.request;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

public class InventoryOrderDetailReq implements Serializable {

    @NotBlank(message = "物料id不能为空")
    private String materialId;

    @NotNull(message = "盘点数量不能为空")
    private BigDecimal amount;

    private BigDecimal costPrice;

    private BigDecimal bdSalePrice;

    public BigDecimal getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(BigDecimal costPrice) {
        this.costPrice = costPrice;
    }

    public BigDecimal getBdSalePrice() {
        return bdSalePrice;
    }

    public void setBdSalePrice(BigDecimal bdSalePrice) {
        this.bdSalePrice = bdSalePrice;
    }

    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    @Override
    public String toString() {
        return "InventoryOrderDetailReq{" +
                "materialId='" + materialId + '\'' +
                ", amount=" + amount +
                '}';
    }
}
